## org.eclipse.uml2.codegen.ecore.genmodel.generator
Class UML2GenBaseGeneratorAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
          org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
              org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter
                  org.eclipse.uml2.codegen.ecore.genmodel.generator.UML2GenBaseGeneratorAdapter

All Implemented Interfaces:
  org.eclipse.emf.codegen.ecore.generator.GeneratorAdapter, org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

Direct Known Subclasses:
  UML2GenClassGeneratorAdapter, UML2GenPackageGeneratorAdapter

    public class UML2GenBaseGeneratorAdapter

extends org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter

Since:
  1.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
`org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter
`EDIT_PROJECT_TYPE, EDITOR_PROJECT_TYPE, MODEL_PROJECT_TYPE, TESTS_PROJECT_TYPE`

Fields inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
`adapterFactory, generatingObject, gifEmitters, importManager, jetEmitters, lineDelimiter, MANIFEST_ENCODING, message, OBJECT_ARGUMENT, PROPERTIES_ENCODING, uriConverter`

Fields inherited from class org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
`targets`

Constructor Summary
`UML2GenBaseGeneratorAdapter(org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory generatorAdapterFactory)`

Method Summary
`protected void` `addClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter jetEmitter)`
`protected static void` `addUML2ClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter jetEmitter)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter

`addBaseTemplatePathEntries, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateModel, canGenerateTests, clearImportManager, createImportManager, doGenerate, ensureProjectExists, generateEdit, generateEditor, generateModel, generateTests, getGenerateChildren, getGenerateEditChildren, getGenerateEditorChildren, getGenerateModelChildren, getGenerateTestsChildren, getParent, getUserTemplatePath, setLineDelimiter`

Methods inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter

`createCodeFormatter, createGIFEmitter, createInputStream, createJETEmitter, createMonitor, createOutputStream, doPostGenerate, doPreGenerate, ensureContainerExists, exists, formatCode, generate, generateGIF, generateJava, generateProperties, generateText, getAdapterFactory, getCanGenerateChildren, getCanGenerateParent, getContents, getEncoding, getGenerateParent, getGenerator, getGIFEmitter, getImportManager, getJETEmitter, getLineDelimiter, getLineDelimiter, getURIConverter, isAdapterForType, isReadOnly, postGenerate, preGenerate, setAdapterFactory, setStaticTemplateClass, setWriteable, toDiagnostic, toPlatformResourceURI, toURI, validateEdit`

Methods inherited from class org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
`dispose, getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.generator.GeneratorAdapter
`dispose`

Constructor Detail

### UML2GenBaseGeneratorAdapter

    public UML2GenBaseGeneratorAdapter(org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory generatorAdapterFactory)

Method Detail

### addUML2ClasspathEntries

    protected static void addUML2ClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter jetEmitter)
                                           throws org.eclipse.emf.codegen.jet.JETException

  Throws:
    `org.eclipse.emf.codegen.jet.JETException`

### addClasspathEntries

    protected void addClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter jetEmitter)
                                throws org.eclipse.emf.codegen.jet.JETException

  Overrides:
    `addClasspathEntries` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter`
  Throws:
    `org.eclipse.emf.codegen.jet.JETException`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.